# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['lock_context_manager', 'lock_context_manager.tests']

package_data = \
{'': ['*']}

install_requires = \
['psycopg2-binary>=2.9.5,<3.0.0']

setup_kwargs = {
    'name': 'lock-context-manager',
    'version': '1.2.4',
    'description': '',
    'long_description': "# Lock context manager\n\nSimply acquire a lock?\n\n    from lock_context_manager import get_lock\n    dsn = 'postgresql://'\n    with get_lock(dsn) as lock:\n        identity = 'my-resource-is-very-special-and-fragile'\n        lock.acquire(identity)\n        lock.locks #  == {b'my-resource-is-very-special-and-fragile': 1}\n        do(identity)\n        lock.release(identity)\n        lock.locks #  == {b'my-resource-is-very-special-and-fragile': 0}\n\nOr\n\n    from lock_context_manager import locker\n\n    def dsn_resolver(self, *args, **kwargs):\n        return self.config.lock_dsn\n\n    class MyClass:\n        def __init__(self):\n            self.lock_dsn = 'postgresql://'\n\n        @staticmethod\n        def identity(*args, **kwargs):\n            return '-'.join(kwargs.keys())\n\n        @locker(MyClass.identity, dsn_resolver)\n        def do_fragile_stuff(self):\n            pass\n\nMultiple calls to acquire() stacks, lock is totally released when release()\nreturns False, or the context manager exits.\n",
    'author': 'USIT UiO',
    'author_email': 'bnt-int@usit.uio.no',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
